Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
Class JavaPlugin

    java.lang.Object
      org.gradle.api.plugins.JavaPlugin

All Implemented Interfaces:
  Plugin

    class JavaPlugin

A Plugin which compiles and tests Java source, and assembles it into a JAR file.

author:
  Hans Dockter

Field Summary
`static java.lang.String` | `BUILD_DEPENDENTS_TASK_NAME`
`static java.lang.String` | `BUILD_NEEDED_TASK_NAME`
`static java.lang.String` | `BUILD_TASK_NAME`
`static java.lang.String` | `CHECK_TASK_NAME`
`static java.lang.String` | `CLASSES_TASK_NAME`
`static java.lang.String` | `COMPILE_CONFIGURATION_NAME`
`static java.lang.String` | `COMPILE_JAVA_TASK_NAME`
`static java.lang.String` | `COMPILE_TEST_JAVA_TASK_NAME`
`static java.lang.String` | `JAR_TASK_NAME`
`static java.lang.String` | `JAVADOC_TASK_NAME`
`static java.lang.String` | `PROCESS_RESOURCES_TASK_NAME`
`static java.lang.String` | `PROCESS_TEST_RESOURCES_TASK_NAME`
`static java.lang.String` | `RUNTIME_CONFIGURATION_NAME`
`static java.lang.String` | `TEST_CLASSES_TASK_NAME`
`static java.lang.String` | `TEST_COMPILE_CONFIGURATION_NAME`
`static java.lang.String` | `TEST_RUNTIME_CONFIGURATION_NAME`
`static java.lang.String` | `TEST_TASK_NAME`

Constructor Summary
`JavaPlugin()`

Method Summary
`void` | `configureConfigurations(Project project)`
`void` | `configureForSourceSet(SourceSet sourceSet, Compile compile)`
`protected JavaPluginConvention` | `java(Convention convention)`
`void` | `use(Project project, ProjectPluginsContainer projectPluginsHandler)`

Methods inherited from class java.lang.Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### BUILD_DEPENDENTS_TASK_NAME

    static final java.lang.String BUILD_DEPENDENTS_TASK_NAME

### BUILD_NEEDED_TASK_NAME

    static final java.lang.String BUILD_NEEDED_TASK_NAME

### BUILD_TASK_NAME

    static final java.lang.String BUILD_TASK_NAME

### CHECK_TASK_NAME

    static final java.lang.String CHECK_TASK_NAME

### CLASSES_TASK_NAME

    static final java.lang.String CLASSES_TASK_NAME

### COMPILE_CONFIGURATION_NAME

    static final java.lang.String COMPILE_CONFIGURATION_NAME

### COMPILE_JAVA_TASK_NAME

    static final java.lang.String COMPILE_JAVA_TASK_NAME

### COMPILE_TEST_JAVA_TASK_NAME

    static final java.lang.String COMPILE_TEST_JAVA_TASK_NAME

### JAR_TASK_NAME

    static final java.lang.String JAR_TASK_NAME

### JAVADOC_TASK_NAME

    static final java.lang.String JAVADOC_TASK_NAME

### PROCESS_RESOURCES_TASK_NAME

    static final java.lang.String PROCESS_RESOURCES_TASK_NAME

### PROCESS_TEST_RESOURCES_TASK_NAME

    static final java.lang.String PROCESS_TEST_RESOURCES_TASK_NAME

### RUNTIME_CONFIGURATION_NAME

    static final java.lang.String RUNTIME_CONFIGURATION_NAME

### TEST_CLASSES_TASK_NAME

    static final java.lang.String TEST_CLASSES_TASK_NAME

### TEST_COMPILE_CONFIGURATION_NAME

    static final java.lang.String TEST_COMPILE_CONFIGURATION_NAME

### TEST_RUNTIME_CONFIGURATION_NAME

    static final java.lang.String TEST_RUNTIME_CONFIGURATION_NAME

### TEST_TASK_NAME

    static final java.lang.String TEST_TASK_NAME

Constructor Detail

### JavaPlugin

    JavaPlugin()

Method Detail

### configureConfigurations

    public void configureConfigurations(Project project)

### configureForSourceSet

    public void configureForSourceSet(SourceSet sourceSet, Compile compile)

### java

    protected JavaPluginConvention java(Convention convention)

### use

    public void use(Project project, ProjectPluginsContainer projectPluginsHandler)

Groovy Documentation